<?php // $Id: 2col-66-33.php,v 1.1.2.1 2009/10/07 20:53:21 jmburnz Exp $
// adaptivethemes.com

/**
 * @file 2col-66-33.php
 * Gpanel code snippet to display two regions (66%/33%) as columns.
 *
 * GPanels are drop in multi-column snippets for displaying blocks in 
 * vertical columns, such as 2 columns, 3 columns or 4 columns.
 *
 * How to use a Gpanel:
 * 1. Copy and paste a Gpanel into your page.tpl.php file.
 * 2. Uncomment the matching regions in your subthemes info file.
 * 3. Clear the cache (in Performance settings) to refresh the theme registry. 
 *
 * Now you can add blocks to the regions as per normal. The layout CSS for 
 * these regions is already set up so there is nothing more to do.
 * 
 * Gpanels are fluid, meaning they stretch and compress with the page width.
 *
 * Region Variables:
 * 
 * $two_col_66_33_first:  outputs the "2col 66-33 Gpanel col 1" region.
 * $two_col_66_33_second: outputs the "2col 66-33 Gpanel col 2" region.
 */
?>

<!--//   Two column 66-33 Gpanel   //-->
<?php if ($two_col_66_33_first or $two_col_66_33_second): ?>
  <div class="two-col-66-33 gpanel clear-block">
    <div class="section region col-1 first"><div class="inner">
      <?php if ($two_col_66_33_first): print $two_col_66_33_first; endif; ?>
    </div></div>
    <div class="section region col-2 last"><div class="inner">
      <?php if ($two_col_66_33_second): print $two_col_66_33_second; endif; ?>
    </div></div>
  </div>
<?php endif; ?>
<!--/end Gpanel-->



